Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server Support for Apache Beehive

## com.bea.control
Interface ServiceControl

public interface ServiceControl

Provides simplified access to web services. A Web Service control provides an interface between your application and a web service, which allows your application to invoke the methods and handle the callbacks of that web service. Using a Web Service control, you can connect to any web service for which a WSDL file is available. The target web service's operations are exposed as methods of the control.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary
`static interface` | `ServiceControl.Conversation` The Conversation annotation specifies the conversational phase of the method.
`static interface` | `ServiceControl.HttpSoapProtocol` The HttpSoapProtocol annotation specifies that a particular Web Service control supports SOAP over HTTP.
`static interface` | `ServiceControl.Location` The Location annotation provides the location URL for the target service.
`static interface` | `ServiceControl.OperationName` The OperationName annotation is only used when the target WSDL defines operations with names that are invalid as Java method names.
`static interface` | `ServiceControl.SOAPBinding` The SOAPBinding annotation indicates the SOAP style, use, and wrapped attributes.
`static interface` | `ServiceControl.TypesJarName` The TypesJarName annotation is an optional annotation that indicates the path to the jar containing the complex types.
`static interface` | `ServiceControl.WSDL` The WSDL annotation specifies the path to the WSDL file.

Method Summary
`String` | `getConversationID()` Retrieves the conversation ID of the current conversation with this Web Service control instance.
`URL` | `getEndPoint()` Gets the URL that the Service control instance will use as the base URL.
`Element[]` | `getInputHeaders()` Retrieves the SOAP headers that were included in the most recent arriving callback from this Web Service control.
`String` | `getPassword()` Retrieves the password string that was set by the most recent call to the setPassword method.
`Protocol` | `getProtocol()` Deprecated.
`int` | `getTimeout()` Gets the timeout that has been set by setTimeout() for the underlying HttpURLConnection, in milliseconds.
`String` | `getUsername()` Retrieves the username string that was set by the most recent call to setUsername.
`QName` | `getWsdlPort()` Returns the QName of the port that will be used by the Service Control to call the web service.
`void` | `reset()` Clears all parameters that were set by previous calls to the setOutputHeaders, setPassword, or setUsername methods.
`void` | `setClientCert(String alias, String password)` Specifies the information to look up the client certificate when using 2-way SSL.
`void` | `setConversationID(String conversationID)` Sets the unique key that will be proposed as the conversation ID when initiating a conversation with the Web Service control.
`void` | `setEndPoint(URL url)` Provides manual control over URL of the target service.
`void` | `setKeystore(String location, String password, String type)` Specifies the keystore information (including type) to use when using client certificates with Secure Sockets Layer (SSL).
`void` | `setOutputHeaders(Element[] headers)` Sets the SOAP headers that will be included in the next outgoing method invocation message to the Web Service control.
`void` | `setPassword(String password)` Sets the password that will be sent with the next outgoing Web Service control method invocation.
`void` | `setProtocol(Protocol protocol)` Deprecated.
`void` | `setTimeout(int timeout)` Sets the timeout for the underlying HttpURLConnection in milliseconds.
`void` | `setTruststore(String location, String password, String type)` Set the trust-store to use to validate the server using SSL.
`void` | `setUsername(String username)` Sets the username that will be sent with the next outgoing Web Service control method invocation.
`void` | `setWsdlPort(QName wsdlPortName)` Specifies the QName for the port within the WSDL which the Service Control should use.
`void` | `useClientKeySSL(boolean b)` Specifies whether a client certificate should be used with Secure Sockets Layer (SSL).

Method Detail

### getConversationID

    public String getConversationID()

  Retrieves the conversation ID of the current conversation with this Web Service control instance.

  Returns:
    The conversation ID for this Service control's current conversation.

### getEndPoint

    public URL getEndPoint()

  Gets the URL that the Service control instance will use as the base URL.

  Returns:
    The URL that will be used.

### getInputHeaders

    public Element[] getInputHeaders()

  Retrieves the SOAP headers that were included in the most recent arriving callback from this Web Service control.

  Returns:
    An array of the SOAP input header elements for this control's most recently receive callback.

### getPassword

    public String getPassword()

  Retrieves the password string that was set by the most recent call to the setPassword method.

  Returns:
    The password set by the setPassword method.

### getProtocol

    public Protocol getProtocol()

  Deprecated.

  Returns a Protocol object representing the protocol to use when sending messages to the target web service.

  Returns:
    The protocol that will be used.

### getTimeout

    public int getTimeout()

  Gets the timeout that has been set by setTimeout() for the underlying HttpURLConnection, in milliseconds. A value of 0 means no timeout.

### getUsername

    public String getUsername()

  Retrieves the username string that was set by the most recent call to setUsername.

  Returns:
    The username set by the setUsername method.

### getWsdlPort

    public QName getWsdlPort()

  Returns the QName of the port that will be used by the Service Control to call the web service.

  Returns:
    The QName of the port that will be used.

### reset

    public void reset()

  Clears all parameters that were set by previous calls to the setOutputHeaders, setPassword, or setUsername methods.

### setClientCert

    public void setClientCert(String alias,
                              String password)

  Specifies the information to look up the client certificate when using 2-way SSL.

  Parameters:
    `alias` - The path to the keystore (JKS) file.
    `password` - The password for the keystore.

### setConversationID

    public void setConversationID(String conversationID)

  Sets the unique key that will be proposed as the conversation ID when initiating a conversation with the Web Service control. Note that WebLogic Server automatically computes a conversation ID when a web service invokes a start method of a Web Service control. Use the setConversationID method to override the automatic value. The only case where it is useful to do so is if you supply the conversation ID of an existing conversation that is currently ongoing on the target web service. You may then invoke methods on the target service that will execute in the context of the specified conversation. However, only the client that originated the conversation may receive callbacks.

  Parameters:
    `conversationID` - The new value for the conversation ID.

### setEndPoint

    public void setEndPoint(URL url)

  Provides manual control over URL of the target service.

  Parameters:
    `url` - The new destination for callbacks.

### setKeystore

    public void setKeystore(String location,
                            String password,
                            String type)

  Specifies the keystore information (including type) to use when using client certificates with Secure Sockets Layer (SSL). The default keystore is the WebLogic Server system-identity keystore. Use the type parameters to specify a keystore type other than the default, which is Java KeyStore (JKS).

  Parameters:
    `location` - The path to the keystore (JKS) file.
    `password` - The password for the keystore.
    `type` - The type of keystore to use.

### setOutputHeaders

    public void setOutputHeaders(Element[] headers)

  Sets the SOAP headers that will be included in the next outgoing method invocation message to the Web Service control.

  Parameters:
    `headers` - An array of the new SOAP output header elements.

### setPassword

    public void setPassword(String password)

  Sets the password that will be sent with the next outgoing Web Service control method invocation. Used if the Web Service control uses HTTP basic authentication.

  Parameters:
    `password` - The password to send for authentication.

### setProtocol

    public void setProtocol(Protocol protocol)

  Deprecated.

  Specifies the protocol to use for messages sent to the target web service.

  Parameters:
    `protocol` - The protocol to use.

### setTimeout

    public void setTimeout(int timeout)

  Sets the timeout for the underlying HttpURLConnection in milliseconds. The default is 0, meaning no timeout. Negative values are converted to 0.

### setTruststore

    public void setTruststore(String location,
                              String password,
                              String type)

  Set the trust-store to use to validate the server using SSL.

  Parameters:
    `location` - The file path to the trust-store file.
    `password` - The trust-store password.
    `type` - The type of trust-store. Default is JKS.

### setUsername

    public void setUsername(String username)

  Sets the username that will be sent with the next outgoing Web Service control method invocation. Used if the Web Service control uses HTTP basic authentication.

  Parameters:
    `username` - The username to send for authentication.

### setWsdlPort

    public void setWsdlPort(QName wsdlPortName)

  Specifies the QName for the port within the WSDL which the Service Control should use.

  Parameters:
    `wsdlPortName` - The QName of the port to use.

### useClientKeySSL

    public void useClientKeySSL(boolean b)

  Specifies whether a client certificate should be used with Secure Sockets Layer (SSL).

  Parameters:
    `b` - `true` to use a client certificate; otherwise, `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD